package com.liquidnet.service.kylin.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 艺人关联商品
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class KylinArtistProduct implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "mid", type = IdType.AUTO)
    private Long mid;

    private String relationId;

    private String artistId;

    private String spuId;

    private Integer sort;

    private Integer status;

    private LocalDateTime createdAt;

    private LocalDateTime updatedAt;

    private static final KylinArtistProduct obj = new KylinArtistProduct();

    public static KylinArtistProduct getNew() {
        try {
            return (KylinArtistProduct) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinArtistProduct();
        }
    }
}
